<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<?php
	//同步已更新的英文站文件到，其他语种，主要是 变化的程序，新增模板， 样式表、老模板不同步
	session_start();
	require_once('inc/conn.php');
	require_once('inc/constant.php');
	require_once('inc/ls_syscode.php');
	require_once('inc/ls_inccode.php');
	
	require_once('inc/check.php');
	$opendb=new mydb();
	require_once('inc/char_set.php');
	
	$ls=$_GET['ls'];
	 
	
	$scrDir="..";
	//$allcopyfiles="ls_admin,bootstrap,css,images,jq22css,jq22js,js,motif,revolvingpics,Templates,Templates1,update,download"; //需要扫描的目录
	$increasecopyfiles=explode(",","bootstrap,css,images,jq22css,jq22js,js,motif,revolvingpics,Templates,Templates1,update,download"); //增量
	$changecopyfiles=array("ls_admin","generalpics");   // 变化的，增量
	$skipfile=array("conn_var.php","constant.php"); // 是这些的跳过 
	$skipprefix= "_"; // 开始是这个的跳过 

	$arrtransFlags = explode(",",$transFlags );    
	$ls_msg=" ";
	for($j=0;$j< count($arrtransFlags);$j++){ 
		 $thisFlags=trim($arrtransFlags[$j]);
		 $lanDir= 	"../".$thisFlags;
		 xCopyincrease($scrDir, $lanDir,$skipfile, true,$skipprefix,$increasecopyfiles,$changecopyfiles);
		
		$ls_msg.=$lanDir."已复制文件；";  
	 } // end for
		
 	echo "<br/><br/>".$ls_msg;
?>